SSL_SET1_PARAM(3)

NAME
SSL_CTX_set1_param, SSL_set1_param - set verification parameters

SYNOPSIS
#include <openssl/ssl.h>
int
SSL_CTX_set1_param(SSL_CTX *ctx, X509_VERIFY_PARAM *vpm);
int
SSL_set1_param(SSL *ssl, X509_VERIFY_PARAM *vpm);

DESCRIPTION
SSL_CTX_set1_param() and SSL_set1_param() set the verification parameters to vpm for ctx or ssl.

RETURN VALUES
SSL_CTX_set1_param() and SSL_set1_param() return 1 for success or 0 for failure.

SEE ALSO
X509_VERIFY_PARAM_set_flags(3)

HISTORY
These functions were first added to OpenSSL 1.0.2.